Subject: DAC placards

From: [email-masked] (Jon Powell)
Date: Mon, 15 May 95 12:37:44 PDT

Hey there,

I have the IBIS SPOKEN HERE placards for DAC. Some people say
they want them right away for other shows. OK. send me your address
and I will send a maximum of 2 per company to anyone who wants them.

People who want to pick them up in pristine condition at DAC can do
that also.

Let me know,
[email-masked]